package com.example.livingai.pages.onboarding

import androidx.annotation.DrawableRes
import androidx.annotation.StringRes
import com.example.livingai.R

data class Page(
    @StringRes val title: Int,
    @StringRes val description: Int,
    @DrawableRes val image: Int
)

val pages = listOf(
    Page(
        title = R.string.language_onboarding_title,
        description = R.string.language_onboarding_description,
        image = R.drawable.splash
    ),
    Page(
        title = R.string.buy_onboarding_title,
        description = R.string.buy_onboarding_description,
        image = R.drawable.splash
    ),
    Page(
        title = R.string.sell_onboarding_title,
        description = R.string.sell_onboarding_description,
        image = R.drawable.splash
    ),
    Page(
        title = R.string.amenities_onboarding_title,
        description = R.string.amenities_onboarding_description,
        image = R.drawable.splash
    )
)
